Page MenuHomePhabricator

Add AMDGPU related triple vendors/OSes
ClosedPublic

Authored by arsenm on Feb 4 2016, 5:00 PM.

Details

Summary

As support expands to more runtimes, we'll need to
distinguish between more than just HSA and unknown.
This also lets us stop using unknown everywhere.

Diff Detail

Event Timeline

arsenm updated this revision to Diff 46979.Feb 4 2016, 5:00 PM
arsenm retitled this revision from to Add AMDGPU related triple vendors/OSes.
arsenm updated this object.
arsenm added a subscriber: llvm-commits.
echristo edited edge metadata.Feb 4 2016, 5:02 PM
echristo added a subscriber: echristo.

Weirdly confusing, but OK.

lib/Support/Triple.cpp
450

I'm not sure about this one. It only really makes sense to use this with the amdgcn target. It seems like maybe this should be something more generic (mesa?).

arsenm added inline comments.Feb 5 2016, 12:18 PM
lib/Support/Triple.cpp
450

Neither am I. Mesa should definitely be the vendor though, not the OS. Michel said on IRC that a mesa vulkan driver will probably end up using a different ABI, so we will probably need to distinguish those.

Well you don't need a separate triple to handle an abi difference.
TargetOptions can take an abi name.

mareko added inline comments.Feb 5 2016, 12:51 PM
lib/Support/Triple.cpp
450

AFAIK, there won't be any Mesa Vulkan driver. The Vulkan driver will be a completely separate project.

arsenm updated this revision to Diff 47236.Feb 8 2016, 11:55 AM
arsenm edited edge metadata.

Use mesa3d for the OS. The clover vs. graphics abi difference will be handled not as an OS

Sure it isn't an environment? (I have no idea, just checking)

arsenm added a comment.Feb 8 2016, 3:21 PM

Sure it isn't an environment? (I have no idea, just checking)

We've been treating the driver as the operating system. I have no idea what the OS would mean if mesa is an environment, The host OS is irrelevant. I'm still iffy about whether clover qualifies as a separate OS from the graphics driver, since it doesn't really share any of the same interface to kernels despite being another mesa project.

tstellarAMD accepted this revision.Feb 10 2016, 5:54 PM
tstellarAMD edited edge metadata.

I think this is OK. LGTM.

This revision is now accepted and ready to land.Feb 10 2016, 5:54 PM
arsenm closed this revision.Feb 12 2016, 6:01 PM

r260790